<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*NODE FILE</TITLE>
<META NAME="description" CONTENT="*NODE FILE">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node266.html">
<LINK REL="previous" HREF="node264.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node266.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html4341"
  HREF="node266.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html4337"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html4331"
  HREF="node264.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html4339"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html4342"
  HREF="node266.html">*NODE OUTPUT</A>
<B> Up:</B> <A NAME="tex2html4338"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html4332"
  HREF="node264.html">*NODE</A>
 &nbsp; <B>  <A NAME="tex2html4340"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION000874000000000000000"></A><A NAME="nodefile"></A>
<BR>
*NODE FILE
</H2>

<P>
Keyword type: step

<P>
This option is used to print selected nodal variables in file jobname.frd for
subsequent viewing by CalculiX GraphiX. The following variables can be
selected (the label is square
brackets [] is the one used in the .frd file; for frequency calculations with
cyclic symmetry both a real and an imaginary part may be stored, in all other cases only the
real part is stored):

<P>

<UL>
<LI>CP [CP3DF]: Pressure coefficient in 3D compressible fluids.
</LI>
<LI>DEPT [DEPTH]: Fluid depth in channel networks.
</LI>
<LI>HCRI [HCRIT]: Critical depth in channel networks.
</LI>
<LI>MACH [M3DF]: Mach numbers in 3D compressible fluids.
</LI>
<LI>MAXU [MDISP]: Maximum displacements orthogonal to a given vector at all times for
  <A HREF="node245.html#frequency">*FREQUENCY</A> calculations with cyclic symmetry. The
  components of the vector are the coordinates of a node stored in a node set
  with the name RAY. This node and node set must have been defined by the user.
</LI>
<LI>MF [MAFLOW]: Mass flows in networks. The mass flow through a network element
  is stored in the middle node of the element. In the end nodes the mass flow
  is not unique, since more than two element can be connected to the node. For
  end nodes the sum of the mass flow leaving the node is stored. Notice that
  at nodes where mass flow is leaving the network the value will be wrong if
  no proper exit element (with node number 0) is attached to that node.
</LI>
<LI>NT [NDTEMP]: Temperatures. This includes both structural temperatures and
  total fluid temperatures in a network.
</LI>
<LI>PNT [PNDTEMP]: Temperatures: magnitude and phase (only for <A HREF="node288.html#steadystatedynamics">*STEADY
  STATE DYNAMICS</A> calculations).
</LI>
<LI>POT [ELPOT]: Electrical potential, only for electromagnetic calculations.
</LI>
<LI>PRF [PFORC]: External forces: magnitude and phase (only for
<A HREF="node245.html#frequency">*FREQUENCY</A> calculations with cyclic symmetry).
</LI>
<LI>PS [STPRES]: Static pressures in liquid networks.
</LI>
<LI>PSF [PS3DF]: Static pressures in 3D fluids.
</LI>
<LI>PT [TOPRES]: Total pressures in gas networks.
</LI>
<LI>PTF [PT3DF]: Total pressures in 3D fluids.
</LI>
<LI>PU [PDISP]: Displacements: magnitude and phase (only for <A HREF="node288.html#steadystatedynamics">*STEADY
  STATE DYNAMICS</A> calculations and
<A HREF="node245.html#frequency">*FREQUENCY</A> calculations with cyclic symmetry).
</LI>
<LI>RF [FORC(real), FORCI(imaginary)]: External forces (only static forces;
  dynamic forces, such as those caused by dashpots, are not included)
</LI>
<LI>RFL [RFL]: External concentrated heat sources.
</LI>
<LI>SEN [SEN]: Sensitivities.
</LI>
<LI>TS [STTEMP]: Static temperatures in networks.
</LI>
<LI>TSF [TS3DF]: Static temperatures in 3D fluids.
</LI>
<LI>TT [TOTEMP]: Total temperatures in networks.
</LI>
<LI>TTF [TT3DF]: Total temperatures in 3D fluids.
</LI>
<LI>TURB [TURB3DF]: Turbulence variables in 3D compressible fluids:
  <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1594.png"
 ALT="$ \rho k$"></B> and <!-- MATH
 $\rho \omega$
 -->
<B><IMG
 WIDTH="23" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1595.png"
 ALT="$ \rho \omega$"></B>.
</LI>
<LI>U [DISP(real), DISPI(imaginary)]: Displacements.
</LI>
<LI>V [VELO]: Velocities in dynamic calculations.
</LI>
<LI>VF [V3DF]: Velocities in 3D fluids.
</LI>
</UL>

<P>
The selected variables are stored for the complete model.

<P>
The external forces (key RF) are the sum of
the reaction forces, concentrated loads (*CLOAD) and distributed loads
(*DLOAD) in the node at stake. Only in the absence of concentrated loads in
the node and distributed loads in any element to which the node belongs, the
external forces reduce to the reaction forces. Forces induced by multiple
point constraints are not calculated. Since single point constraints defined
in transformed coordinates are converted into multiple point constraints in
the global rectangular system, the force in a node in which a SPC is defined
in local coordinates are not correctly delivered upon using the RF key in
combination with the *NODE PRINT keyword card.

<P>
For frequency calculations with cyclic symmetry the eigenmodes are generated
in pairs (different by a phase shift of 90 degrees). Only the first one of
each pair is stored in the frd file. If U is selected (the displacements) two
load cases are stored in the frd file: a loadcase labeled DISP
containing the real part of the displacements and a loadcase labeled DISPI
containing the imaginary part of the displacements. For all other variables only
the real part is stored.

<P>
The first occurrence of an *NODE FILE keyword card within a step wipes
out all previous nodal variable selections for file output. If no
*NODE FILE card is used within a step the selections of the previous
step apply. If there is no previous step, no nodal variables will be stored.

<P>
Notice that only values in nodes belonging to elements are
stored. Values in nodes not belonging to any element (e.g. the
rotational node in a <A HREF="node279.html#rigidbody">*RIGID BODY</A> option) can only be
obtained using <A HREF="node267.html#nodeprint">*NODE PRINT</A>.

<P>
There are seven optional parameters: FREQUENCY, FREQUENCYF, GLOBAL, OUTPUT, TIME
POINTS, NSET, LAST ITERATIONS and CONTACT ELEMENTS. 
The parameters FREQUENCY and TIME POINTS are mutually exclusive. 

<P>
FREQUENCY applies to
nonlinear calculations where a step can consist of several
increments. Default is FREQUENCY=1, which indicates that the results
of all increments will be stored. FREQUENCY=N with N an integer
indicates that the results of every Nth increment will be stored. The
final results of a step are always stored. If you only want the final
results, choose N very big. 
The value of N applies to 
<A HREF="node272.html#output">*OUTPUT</A>,<A HREF="node234.html#elementoutput">*ELEMENT OUTPUT</A>, 
<A HREF="node235.html#elfile">*EL FILE</A>, <A HREF="node236.html#elprint">*ELPRINT</A>, 
<A HREF="node266.html#nodeoutput">*NODE OUTPUT</A>,
<A HREF="#nodefile">*NODE FILE</A>, <A HREF="node267.html#nodeprint">*NODE PRINT</A>,
<A HREF="node241.html#faceprint">*FACE PRINT</A>,<A HREF="node211.html#contactoutput">*CONTACT OUTPUT</A>,
<A HREF="node210.html#contactfile">*CONTACT FILE</A> and <A HREF="node213.html#contactprint">*CONTACT PRINT</A>. 
If the FREQUENCY parameter is used
for more than one of these keywords with conflicting values of N, the
last value applies to all. A frequency parameter stays active across several steps
until it is overwritten by another FREQUENCY value or the TIME POINTS parameter.

<P>
The 3D fluid analogue of FREQUENCY is FREQUENCYF. In coupled calculations
FREQUENCY applies to the thermomechanical output, FREQUENCYF to the 3D fluid output.

<P>
With the parameter GLOBAL you tell the program whether you would like the
results in the global rectangular coordinate system or in the local nodal
system. If an <A HREF="node299.html#transform">*TRANSFORM</A> card is applied to the node at stake, this card defines
the local system. If no *TRANSFORM card is applied to the
element, the local system coincides with the global rectangular
system. Default value for the GLOBAL parameter is GLOBAL=YES,
which means that the results are stored in the global system. If you prefer the
results in the local system, specify GLOBAL=NO.

<P>
The parameter OUTPUT can take the value 2D or 3D. This has only
effect for 1d and 2d elements such as beams, shells, plane stress, plane
strain and axisymmetric elements AND provided it is used in the first step. If
OUTPUT=3D, the 1d and 2d elements are stored in their expanded three-dimensional
form. In particular, the user has the advantage to see his/her 1d/2d elements
with their real thickness dimensions. However, the node numbers are new and do
not relate to the node numbers in the input deck. Once selected, this
parameter is active in the complete calculation. If OUTPUT=2D the fields in the expanded elements are averaged to obtain
the values in the nodes of the original 1d and 2d elements. In particular,
averaging removes the bending stresses in beams and
shells. Therefore, default for beams
and shells is OUTPUT=3D, for plane stress, plane strain and axisymmetric
elements it is OUTPUT=2D. For axisymmetric structures and OUTPUT=2D the mass flow (MF) and
the external force (RF) are stored for 360<B><IMG
 WIDTH="12" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"
 SRC="img253.png"
 ALT="$ ^\circ$"></B>, else it is stored for the
displayed 3D segment, i.e. 2<B><IMG
 WIDTH="12" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"
 SRC="img253.png"
 ALT="$ ^\circ$"></B>.  If OUTPUT=3D is selected, the parameter NSET is deactivated.

<P>
With the parameter TIME POINTS a time point sequence can be referenced,
defined by a 
<A HREF="node298.html#timepoints">*TIME POINTS</A> keyword. In that case, output will be
provided for all time points of the sequence within the step and additionally at the end of
the step. No other output will be stored and the FREQUENCY parameter is not
taken into account. Within a step only one time point sequence can be active. If more than
one is specified, the last one defined on any of the keyword cards
<A HREF="#nodefile">*NODE FILE</A>, <A HREF="node235.html#elfile">*EL FILE</A>, <A HREF="node267.html#nodeprint">*NODE
  PRINT</A> or <A HREF="node236.html#elprint">*EL PRINT</A> will be active. The TIME
POINTS option should not be used together with the DIRECT option on the
procedure card.  The TIME POINTS parameters stays active across several steps
until it is replaced by another TIME POINTS value or the FREQUENCY parameter.

<P>
The specification of a node set with the parameter NSET limits the output to
the nodes contained in the set. For cyclic symmetric structures the usage of the
parameter NGRAPH on the <A HREF="node218.html#cyclicsymmetrymodel">*CYCLIC SYMMETRY MODEL</A>
card leads to output of the results not only for the node set specified by the
user (which naturally belongs to the base sector) but also for all
corresponding nodes of the sectors generated by the NGRAPH parameter. Notice
that for cyclic symmetric structures the use of NSET is mandatory.

<P>
The parameter LAST ITERATIONS leads to the storage of the
displacements in all iterations
of the last increment in a file with name ResultsForLastIterations.frd (can be opened with CalculiX GraphiX). This is
useful for debugging purposes in case of divergence. No such file is created if
this parameter is absent. 

<P>
Finally, the parameter CONTACT ELEMENTS  stores the contact elements which have
been generated in each iteration in a file with the name
contactelements.inp. When
opening the frd file with CalculiX GraphiX these files can be read with the
command ``read contactelements.inp'' and visualized by
plotting the elements in the sets
contactelements_st<B><IMG
 WIDTH="15" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img110.png"
 ALT="$ \alpha$"></B>_in<B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img624.png"
 ALT="$ \beta$"></B>_at<B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img646.png"
 ALT="$ \gamma$"></B>_it<B><IMG
 WIDTH="12" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img647.png"
 ALT="$ \delta$"></B>, where <B><IMG
 WIDTH="15" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img110.png"
 ALT="$ \alpha$"></B>
is the step number, <B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img624.png"
 ALT="$ \beta$"></B> the increment number, <B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img646.png"
 ALT="$ \gamma$"></B> the attempt number
and <B><IMG
 WIDTH="12" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img647.png"
 ALT="$ \delta$"></B> the iteration number.

<P>

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*NODE FILE
</LI>
<LI>Enter any needed parameters and their values.
</LI>
</UL>
Second line:

<UL>
<LI>Identifying keys for the variables to be printed, separated by commas.
</LI>
</UL>

<P>
<PRE>
Example:

*NODE FILE,TIME POINTS=T1
RF,NT
</PRE>

<P>
requests the storage of reaction forces and temperatures in the .frd
file for all time
points defined by the T1 time points sequence.

<P>

<P><P>
<BR>
Example files: beampt, beampo1.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html4341"
  HREF="node266.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html4337"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html4331"
  HREF="node264.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html4339"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html4342"
  HREF="node266.html">*NODE OUTPUT</A>
<B> Up:</B> <A NAME="tex2html4338"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html4332"
  HREF="node264.html">*NODE</A>
 &nbsp; <B>  <A NAME="tex2html4340"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
